API Explorer 1884 endpoints

Get parcel_snapshot by id

GET /obp/v7.0.0/banks/ogcr/dynamic-entities/parcel_snapshot/PARCEL_SNAPSHOT_ID

OBPv7.0.0-dynamicEntity_getSingleparcel_snapshot_ogcr Roles: CanGetDynamicEntityRecord_parcel_snapshot(per bank) _Parcel_snapshot(ogcr)Dynamic-EntityDynamic

Get parcel_snapshot by id.

"parcel snapshot" is a point-in-time record of what was happening on a parcel over a defined period — for example which growing seasons and livestock herds were present. This Dynamic Entity is part of OGCR.

Property List:

  • digital_mrv_observation_id: The dMRV observation that triggered this snapshot

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"parcel_snapshot"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example success response
{
  "bank_id": "ogcr",
  "parcel_snapshot": {
    "parcel_snapshot_id": "string",
    "parcel_id": "string",
    "land_manager_id": "string",
    "snapshot_start_date": "2020-01-01",
    "snapshot_end_date": "2020-01-01",
    "digital_mrv_observation_id": "string",
    "growing_season_list": {},
    "livestock_list": {}
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_getSingleparcel_snapshot_ogcr Originally /banks/ogcr/dynamic-entities/parcel_snapshot/PARCEL_SNAPSHOT_ID